set_property BITSTREAM.SEU.ESSENTIALBITS yes [current_design]
set_property BITSTREAM.GENERAL.PERFRAMECRC YES [current_design]
set_property BITSTREAM.CONFIG.INITSIGNALSERROR DISABLE [current_design]


##LEDs
#set_property -dict {PACKAGE_PIN M14 IOSTANDARD LVCMOS33} [get_ports {leds[0]}]
#set_property -dict {PACKAGE_PIN M15 IOSTANDARD LVCMOS33} [get_ports {leds[1]}]
#set_property -dict {PACKAGE_PIN G14 IOSTANDARD LVCMOS33} [get_ports {leds[2]}]
#set_property -dict {PACKAGE_PIN D18 IOSTANDARD LVCMOS33} [get_ports {leds[3]}]

create_pblock pblock_compare
add_cells_to_pblock [get_pblocks pblock_compare] [get_cells -quiet [list desing_1_i/adder_0]]
resize_pblock [get_pblocks pblock_compare] -add {SLICE_X26Y27:SLICE_X31Y39}

create_pblock pblock_bscan
add_cells_to_pblock [get_pblocks pblock_bscan] [get_cells -quiet [list desing_1_i/bscan_0]]
resize_pblock [get_pblocks pblock_bscan] -add {SLICE_X16Y38:SLICE_X19Y42}
